## Package org.codehaus.groovy.syntax

Lexer, parser and trees.

See:
Description

Class Summary
ASTHelper: A common base class of AST helper methods which can be shared across the classic and new parsers
CSTNode: An abstract base class for nodes in the concrete syntax tree that is the result of parsing.
Numbers: Helper class for processing Groovy numeric literals.
Reduction: A syntax reduction, produced by the `Parser`.
Token: A `CSTNode` produced by the `Lexer`.
Types: Typing information for the CST system.

Exception Summary
ParserException
ReadException: Encapsulates non-specific i/o exceptions.
RuntimeParserException: A helper class to allow parser exceptions to be thrown anywhere in the code.
SyntaxException: Base exception indicating a syntax error.
TokenException
TokenMismatchException

## Package org.codehaus.groovy.syntax Description

Lexer, parser and trees.

Copyright © 2003-2008 The Codehaus. All rights reserved.